{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <title>Insubriparks WebGIS</title>
    <script src="https://kit.fontawesome.com/2dd0fcfce5.js" crossorigin="anonymous"></script>
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" />
    <link rel="shortcut icon" href="#" />
    <link rel="stylesheet" href="{% static 'webgis/css/ol.css' %}" />
    <script src="https://cdn.polyfill.io/v2/polyfill.min.js?features=requestAnimationFrame,Element.prototype.classList,URL,Object.assign"></script>
    <link rel="stylesheet" href="{% static 'webgis/css/style.css' %}" />
    <link rel="stylesheet" href="{% static 'webgis/css/ol3-sidebar.css' %}" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.2.61/jspdf.min.js"></script>

    <!-- Here i can pass variable after submit button in order to modify whatever i want -->
    <script>
        var h = "{{ h }}"
        var first = {{ first|safe }} //this is wrong concerning the code editor, but it works
        var second = {{ second|safe}}
        var third = {{ third|safe}}
        var fourth = {{ fourth|safe}}
        var fifth = {{ fifth|safe}}
        // var first_cost = "{{ first_cost }}"
        // var second_cost = "{{ second_cost }}"
        // var third_cost = "{{third_cost}}"
        // var fourth_cost = "{{fourth_cost}}"
        // var fifth_cost = "{{fifth_cost}}"
        var first_length = "{{ first_length }}"
        var second_length = "{{ second_length}}"
        var third_length = "{{third_length}}"
        var fourth_length = "{{fourth_length}}"
        var fifth_length = "{{fifth_length}}"
    </script>


</head>
<body>
    <div id="sidebar" class="sidebar collapsed">
        <!-- Nav tabs -->
        <div class="sidebar-tabs">
          <ul role="tablist">
            <li><a id="h_btn" href="#home" role="tab" title="INSUBRI.PARKS"><i class="fas fa-info-circle"></i></a></li>
            <li id="instructions"><a id="in_btn" href="#instr" role="tab" title="WebGIS Instructions"><i class="fa fa-bars"></i></a></li>
            <li><a id="l_btn" href= "#layers" role="tab" title="Layers Switcher"><i class="fas fa-layer-group"></i></a></li>
            <li id="tourism"><a id="m_btn" href="#mcdm" role="tab" title="Tourist Experience Planner"><i class="fas fa-sliders-h"></i></a></li>
            <li id="rank" class="disabled"><a id="r_btn" href="#ranking" role="tab" title="Suggested Paths"><i class="fas fa-route"></i></a></li>
            <li id="test"><a id="p_btn" href="#print" role="tab" title="Print Map"><i class="fas fa-print" ></i></a></li>
            <li><a id="home" href="/" role="tab" title="Go Back to the Home Page" target="_blank"><i class="fas fa-home"></i></a></li>
          </ul>
          <!-- The following line is related to the settings button, which is not used at the moment -->
          <!-- <ul role="tablist">
            <li><a href="#settings" role="tab"><i class="fa fa-gear"></i></a></li>
          </ul> -->
        </div>

        <!-- Tab panes -->
        <div class="sidebar-content">
          <div class="sidebar-pane" id="home">
            <h1 class="sidebar-header">
              THE INSUBRI.PARKS Project
              <span class="sidebar-close"><i class="fa fa-caret-left"></i></span>
            </h1>
            <p></p>
            <p class="lorem">The INSUBRIPARKS is an Interreg project aiming at the cooperation between natural parks along the cross-border area between Italy and Switzerland. The final target of this project is to develop a network of touristic experiences and facilities through cooperation among project partners.<br><br> Click on the logo to read more about the INSUBRI.PARKS project. </p>
            <a href="https://tinyurl.com/rleavcb" target="_blank">
            <img src='/static/webgis/img/insubrihome.png' style= "cursor: pointer;margin: 0 auto; display:block;"/>
            </a>
          </div>


          <div class="sidebar-pane" id="instr">
            <h1 class="sidebar-header">
              WebGIS Instructions
              <span class="sidebar-close"><i class="fa fa-caret-left"></i></span>
            </h1>
            <p></p>
            <p class="lorem">Welcome to the <b>INSUBRI.PARKS WebGIS</b>!<br><br>It is really simple to learn how navigate the platform. The main functionalities are: <br><br>
            <b>1.</b> Visualise and interact on the map with all the geographic layers through the <b>Layer Switcher Panel</b> <i class="fas fa-layer-group"></i><br><br>
            <b>2.</b> Express your preferences and find the paths which most fit with your interests using the <b>Tourist Experience Planner </b><i class="fas fa-sliders-h"></i>.<br><br>
            <b>3.</b> Check the list of the suggested paths using the appropriate panel </b><i class="fas fa-route"></i> </p>
          </div>


          <div class="sidebar-pane" id="layers">
            <h1 class="sidebar-header-pane">
              <div class="tooltip">PARKS LAYERS
                <span class="tooltiptext">In order to have an effective and optimal navigation on the map, please select your favourite layers.</span>
              </div>
                <span class="sidebar-close"><i class="fa fa-caret-left"></i></span>
            </h1>
            <p class="lorem">Select the elements you want and then visualise them on the Map!</p>
            <div></div>
          </div>

          <div class="sidebar-pane" id="mcdm">
            <h1 class="sidebar-header-pane">
              <div class="tooltip">TOURIST EXPERIENCE PLANNER
                <span class="tooltiptext">In order to offer you a complete and proper experience in your favourite park, please fill in all fields.</span>
              </div>
              <span class="sidebar-close"><i class="fa fa-caret-left"></i></span>
            </h1>

            <form action="{% url 'webgis:results' %}" class="form" method="post">
            {% csrf_token %}
              <ul class="progress-bar">
                 <li class="progress-bar__dot full"></li>
                 <li class="progress-bar__connector"></li>
                 <li class="progress-bar__dot"></li>
                 <li class="progress-bar__connector"></li>
                 <li class="progress-bar__dot"></li>
              </ul>

           <!-- First step -->
              <div class="step step1">
            <div class="range-slider">
              <p class="lorem">Instruction: please rate the following tourist attractions on a scale of 1 to 5, with 1 not interested and 5 very interested</p>
              <label class="label-slider"><i class="fas fa-landmark"></i>   History</label>
              <input class="range-slider__range" name="hist" id="hist" type="range" value="1" min="1" max="5" step="1">
              <div class="range-slider__value">0</div>
            </div>
            <div class="range-slider">
              <label class="label-slider"><i class="fas fa-bomb"></i> Military</label>
              <input class="range-slider__range" name="mil" id="mil" type="range" value="1" min="1" max="5" step="1">
              <span class="range-slider__value">0</span>
            </div>
            <div class="range-slider">
              <label class="label-slider"><i class="fas fa-church"></i> Religion</label>
              <input class="range-slider__range" name="rel" id="rel" type="range" value="1" min="1" max="5" step="1">
              <span class="range-slider__value">0</span>
            </div>
            <div class="range-slider">
              <label class="label-slider"><i class="fas fa-diagnoses"></i> Anthropic activity</label>
              <input class="range-slider__range" name="hum" id="hum" type="range" value="1" min="1" max="5" step="1">
              <span class="range-slider__value">0</span>
            </div>
            <div class="range-slider">
              <label class="label-slider"><i class="fas fa-futbol"></i> Sports</label>
              <input class="range-slider__range" name="sport" id="sport" type="range" value="1" min="1" max="5" step="1">
              <span class="range-slider__value">0</span>
            </div>
            <div class="range-slider">
              <label class="label-slider"><i class="fas fa-seedling"></i> Nature</label>
              <input class="range-slider__range" name="nat" id="nat" type="range" value="1" min="1" max="5" step="1">
              <span class="range-slider__value">0</span>
            </div>
          </div>

          <!-- Second step -->
          <div class="step step2 hidden">
            <div class="range-slider">
              <label for="km">Max Km</label>
              <div class="tooltip" style='position: relative; display: inline-block;'>
                <i class="fa fa-info-circle" style='display: inline-block;'></i>
                <span class="tooltiptext" style='font-size: 10px; position: absolute;z-index: 10;right: 130%;width:100px;text-align: center;padding: 5px 0;'>
                  Please, select how many kilometers you're willing to do.</span>
              </div>
              <br>
              <input class="range-slider__range" style="margin-top: 10px;" name="km" id="km" type="range" value="5" min="1" max="20" step="1">
              <span class="range-slider__value">0</span>
            </div>
            <div class="range-slider">
            <label class="label-slider">Park</label>
            <div class="button dropdown">
              <select name="park" id="colorselector">
                 <!-- <option name="pineta" value="pineta">Pineta</option>
                 <option value="gole della breggia">Gole della Breggia</option> -->
                 <option value="spina verde">Spina Verde</option>
              </select>
            </div>
            </div>
            <div class="range-slider">
            <input type="checkbox" id="entry" name="entry" value="Entry" onchange="document.getElementById('entry-list').disabled = !this.checked;document.getElementById('exit-list').disabled = !this.checked;">
            <label for="entry">Do you want to insert starting/ending gate?</label>
            <div class="tooltip" style='position: relative; display: inline-block;'>
              <i class="fa fa-info-circle" style='display: inline-block;'></i>
              <span class="tooltiptext" style='font-size: 10px; position: absolute;z-index: 10;right: 130%;width:100px;text-align: center;padding: 5px 0;'>
                All gates will be considered <br>if the checkbox <br>is unchecked.</span>
            </div>
            <label class="label-slider"><i class="fas fa-map-marker-alt"></i> Entry Gate</label>
            <div class="button dropdown">
              <select class="list-gate" name="entry-point" id="entry-list" disabled>
              </select>
            </div>
            <label class="label-slider"><i class="fas fa-map-marker-alt"></i> Exit Gate</label>
            <div class="button dropdown">
              <select class="list-gate" name="exit-point" id="exit-list" disabled>
              </select>
            </div>
            </div>
          </div>

          <!-- Third step -->
          <div class="step step3 hidden">
            <div class="range-slider">
              <input type="checkbox" id="wheel" name="wheelchair" value="Chair">
              <label for="wheel">Are you in a <i class="fas fa-wheelchair"></i>?</label>
            </div>
          </div>

          <div class="button-group">
            <button id="previous" class="disabled button" disabled>
              &#8249
            </button>
            <button id="next" class="button">
              &#8250
            </button>
         </div>
          <div class="button-group">
              <input id="validate" type="submit" class="hidden button" value="Submit">
          </div>
        </div>



        <div class="sidebar-pane" id="ranking" >
          <h1 class="sidebar-header-pane">
            <div class="tooltip">SUGGESTIONS
              <span class="tooltiptext">Here you can find different solutions we found for you. They are sorted according to the affinity with your preferences. Click on them to see the suggested path</span>
            </div>
              <span class="sidebar-close"><i class="fa fa-caret-left"></i></span>
          </h1>
          <ul class="surveys grid">

            <li id="first_div" class="survey-item" style="cursor:pointer">
              <span id="option1" class="survey-name">
                1st Option
              </span>
              <span id="first_index" class="survey-name" style="display: none;">
                Path number {{ first_index }}
              </span>
              <span class="survey-country grid-only">
                Spina Verde 
              </span>
              <div class="pull-right">
                <span class="survey-progress">
                  <span class="survey-progress-bg">
                    <span class="survey-progress-fg" style="width: 100%;"></span>
                  </span>
                  <span class="survey-progress-labels">
                    <span class="survey-progress-label">
                      <i class="far fa-smile fa-2x" style="color: #22ca60"></i>
                    </span>
                    <span class="survey-completes">
                      {{ first_length }} Km
                    </span>
                  </span>
              </span>
              </div>
            </li>

            <li id="second_div" class="survey-item" style="cursor:pointer">
              <span id="option2" class="survey-name">
                2nd Option
              </span>
              <span id="second_index" class="survey-name" style="display: none;">
                Path number {{ second_index }}
              </span>
              <span class="survey-country grid-only">
                Spina Verde
              </span>
              <div class="pull-right">
                <span class="survey-progress">
                  <span class="survey-progress-bg">
                    <span class="survey-progress-fg" style="width: 75%;"></span>
                  </span>
                  <span class="survey-progress-labels">
                    <span class="survey-progress-label">
                      <i class="far fa-smile fa-2x" style="color: #99ff33"></i>
                    </span>
                    <span class="survey-completes">
                      {{ second_length }} Km
                    </span>
                  </span>
              </span>
              </div>
            </li>


            <li id="third_div" class="survey-item" style="cursor:pointer">
              <span id="option3" class="survey-name">
                3rd Option
              </span>
              <span id="third_index" class="survey-name" style="display: none;">
                Path number {{ third_index }}
              </span>
              <span class="survey-country grid-only">
                Spina Verde
              </span>
              <div class="pull-right">
                <span class="survey-progress">
                  <span class="survey-progress-bg">
                    <span class="survey-progress-fg" style="width: 50%;"></span>
                  </span>
                  <span class="survey-progress-labels">
                    <span class="survey-progress-label">
                      <i class="far fa-smile fa-2x" style="color: #ff8000"></i>
                    </span>
                    <span class="survey-completes">
                      {{ third_length }} Km
                    </span>
                  </span>
              </span>
              </div>
            </li>

            <li id="fourth_div" class="survey-item" style="cursor:pointer">
              <span id="option4" class="survey-name">
                4rd Option
              </span>
              <span id="fourth_index" class="survey-name" style="display: none;">
                Path number {{ fourth_index }}
              </span>
              <span class="survey-country grid-only">
                Spina Verde
              </span>
              <div class="pull-right">
                <span class="survey-progress">
                  <span class="survey-progress-bg">
                    <span class="survey-progress-fg" style="width: 25%;"></span>
                  </span>
                  <span class="survey-progress-labels">
                    <span class="survey-progress-label">
                      <i class="far fa-smile fa-2x" style="color: #ff3300"></i>
                    </span>
                    <span class="survey-completes">
                      {{ fourth_length }} Km
                    </span>
                  </span>
              </span>
              </div>
            </li>

            <li id="fifth_div" class="survey-item" style="cursor:pointer">
              <span id="option5" class="survey-name">
                5th Option
              </span>
              <span id="fifth_index" class="survey-name" style="display: none;">
                Path number {{ fifth_index }}
              </span>
              <span class="survey-country grid-only">
                Spina Verde
              </span>
              <div class="pull-right">
                <span class="survey-progress">
                  <span class="survey-progress-bg">
                    <span class="survey-progress-fg" style="width: 0%;"></span>
                  </span>
                  <span class="survey-progress-labels">
                    <span class="survey-progress-label">
                      <i class="far fa-smile fa-2x" style="color:black"></i>
                    </span>
                    <span class="survey-completes">
                      {{ fifth_length }} Km
                    </span>
                  </span>
              </span>
              </div>
            </li>

            <div id="error" style="text-align: center; display: none;">
                <i class="fas fa-exclamation-circle fa-5x" style="color: red;"></i>
                <p style="font-family: Andale Mono, monospace;">Oops! There are no suggestions for you.
                Change your preferences in the appropriate section and try again.</p>
            </div>

          </ul>
        </div>




          <div class="sidebar-pane" id="print">
            <h1 class="sidebar-header-pane">
              <div class="tooltip">PRINT
                <span class="tooltiptext">Please, select your favourite print format.</span>
              </div>
            <span class="sidebar-close"><i class="fa fa-caret-left"></i></span>
          </h1>
              <label class="control control--radio">Jpeg
                <input type="radio" name="radio" checked="checked"/>
                <div class="control__indicator"></div>
              </label>
              <label class="control control--radio">Pdf
                <input type="radio" name="radio" id="pdf"/>
                <div class="control__indicator"></div>
              </label>
              
            <button class="button" id="printbutton" onclick="printControl.print({imageType:'image/jpeg'});return false">Print</button>
          </div>
        </form>
        </div>
      </div>
      
      <div id="map" class="sidebar-map">
        <div id= "popup"></div>
      </div>
      <a href="https://tinyurl.com/rleavcb" target="_blank">
      <img src='/static/webgis/img/insubrihome.png' style= "cursor: pointer; position: absolute;height:60px; left:60px;bottom:10px; overflow: hidden; display:block;"/>
      </a>
    <!-- In this script there is everything related with the result of the mcdm -->
    <script>
      if (first.length == 0) { //Check: if the suggested_path array is empty don't show the result div
        document.getElementById("first_div").style.display = "none"
        document.getElementById("error").style.display="block"
      }
      if (second.length == 0) {
        document.getElementById("second_div").style.display = "none"
      }
      if (third.length == 0) {
        document.getElementById("third_div").style.display = "none"
      }
      if (fourth.length == 0) {
        document.getElementById("fourth_div").style.display = "none"
      }
      if (fifth.length == 0) {
        document.getElementById("fifth_div").style.display = "none"
      }

      var stampa = document.getElementById("rank")
      var div_result = document.getElementById("ranking")

      if (h != ''){
        var open_paths = 0;
        stampa.classList.remove("disabled");
        document.getElementById("sidebar").classList.remove("sidebar","collapsed");
        document.getElementById("sidebar").classList.add("sidebar")
        div_result.classList.add("active")
        //active result panel
      }

      // Check if the result wants list of predefined paths, hide div option and show div path number [REMEMBER THAT check_paths_number is a string]
      var check_paths_number = "{{check_paths_number}}"
      if (check_paths_number == 'True') {
        document.getElementById("option1").style.display = "none"
        document.getElementById("first_index").style.display = "block"
        document.getElementById("option2").style.display = "none"
        document.getElementById("second_index").style.display = "block"
        document.getElementById("option3").style.display = "none"
        document.getElementById("third_index").style.display = "block"
        document.getElementById("option4").style.display = "none"
        document.getElementById("fourth_index").style.display = "block"
        document.getElementById("option5").style.display = "none"
        document.getElementById("fifth_index").style.display = "block"
      }
    </script>
    <!-- ol -->
    <script type="text/javascript" src="https://openlayers.org/en/latest/build/ol.js"></script>
    </script>
    <!-- jQuery -->
    <script type="text/javascript" src="https://code.jquery.com/jquery-2.1.0.js"></script>
    <!-- ol-ext -->
    <script type="text/javascript" src="{% static 'webgis/js/ol-ext.js' %}"></script>
    <!-- Sidebar -->
    <script type="text/javascript" src="{% static 'webgis/js/ol3-sidebar.js' %}"></script>
    <!-- Map -->
    <script type="text/javascript" src="{% static 'webgis/js/map.js' %}"></script>
    <!-- https://github.com/MrRio/jsPDF -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.2/jspdf.min.js"></script>
    <!-- filesaver-js -->
    <script type="text/javascript" src="https://cdn.rawgit.com/eligrey/FileSaver.js/aa9f4e0e/FileSaver.min.js"></script>
    <script src="//netdna.bootstrapcdn.com/bootstrap/3.1.0/js/bootstrap.min.js"></script>

    <!-- Slider -->
    <script type="text/javascript" src="{% static 'webgis/js/slider.js' %}"></script>

</body>
</html>
